Aller au contenu principal

Messages

Cette espace vous permet de voir toutes les Messages réalisées par ce membre. Vous ne pouvez voir que les Messages réalisées dans les espaces auxquels vous avez accès.

Messages - mugerb

1
Programmes et logiciels / Re : m-a-jr, OpenGL, Nvidia et kernel
Milles mercis encore denebe pour ces explications!
c'est donc une bonne nouvelle qu'il n'installe pas mes 49 mises a jour, pour eviter les conflits. ouf.
Je mets precieusemnt ces options de listing pour mieux suivre les versions de paquets dans mon man, notamment les "i" et les "v",  (aussi dans le listing des x11-video-nvidia-G0* l'autre jour) je n'arrivais pas a me reperer dans les man, lsurvolés trop vite sans doute.
Meme si ca fait un bout de temps que j'ai les bases, difficile d'etre autonome quand on n'a pas a pratiquer souvent (Opensuse marche super bien quand meme !! :-).
Bon cette fois je clos le sujet. A une prochaine!
3
Programmes et logiciels / Re : m-a-jr, OpenGL, Nvidia et kernel
sudo zypper up donne:
Chargement des données du dépôt...
Lecture des paquets installés...

Les 49 mises à jour de paquets suivantes ne seront PAS installées :
  gstreamer-plugins-bad gstreamer-plugins-bad-lang hdf5 libfreebl3
  libfreebl3-hmac libgstisoff-1_0-0 libgstsctp-1_0-0 libgstwebrtc-1_0-0
  libhdf5-103 libhdf5_cpp103 libhdf5_fortran102 libhdf5_hl100 libhdf5_hl_cpp100
  libhdf5hl_fortran100 libsoftokn3 libsoftokn3-hmac libvlc5 libvlccore9 libvtk1
  metis-devel MozillaFirefox MozillaFirefox-branding-openSUSE
  MozillaFirefox-translations-common mozilla-nss mozilla-nss-certs
  MozillaThunderbird paraview paraview-plugins python2-pydicom
  python3-Bottleneck python3-Cycler python3-matplotlib python3-matplotlib-cairo
  python3-matplotlib-gtk3 python3-matplotlib-latex python3-matplotlib-tk
  python3-matplotlib-web python3-paraview python3-Pillow python3-pydicom
  python3-vtk vlc vlc-codec-gstreamer vlc-lang vlc-noX vlc-opencv vlc-qt
  vlc-vdpau vtk-qt
Rien à faire.

Pourquoi il mentionne qu'il ne veut PAS les installer ? (tout ca dans un joli ton bleu-vert) s'il n'ya rien a faire il n'a pas besoin de mentionner ceux-la specifiquement, je trouve ça bizarre.
4
Programmes et logiciels / Re : m-a-jr, OpenGL, Nvidia et kernel
Chalu,
- oui j'ai le depot packman et packman-essentials.. Ah, ben j'ai désactivé le plus complet et gardé qu'essentials, mon autre Leap15.3(pantera) l'avait comme ça.

-j'avais deux fois le depot science , nommé (software repositories for engeniers") mais meme adresse, j'en est desactivé un.

-oui j'ai un depot ARM et j'avoue ne plus être sûr pourquoi  :-(, désactivé aussi.
Je me souviens que j'avais tenté d'installer un émulateurs Windows, j'ai entre autre aussi desinstallé des paquets Qemu aujourdhui, d'où aussi le depot wine que j'ai desactivé. mais comme je ne vais jamais au bout de mes essais de simu Windows, parce que pas ultra motivé (..), c'etait pour tenter d'installer des jeux pour mon fils au fond, hmm... il n'a qu'a apprendre a se debrouiller seul, a lui hein!

Je reste a chercher a comprendre pourquoi mes mises-a-jours ne se font pas par Yast, mais je suppose que ca suffit si elles se font par zypper, et au moins j'aurais des commentaires plus informatifs.
ET reste a surveiller que mes autres usages ne seront pas trop perturbés, au fil de l'eau.
5
Programmes et logiciels / Re : m-a-jr, OpenGL, Nvidia et kernel
Eureka!
finalement l'upgrade de Nvidia a G05 et le reswitch a la version 5.9 de paraview /ou/ le nettoyage de quelques librairies Qt5,  Mesa, openGL (des -devel entre autres) , bref, mon cher Paraview v5.9 fonctionne a nouveau!!
je verrai au fil de l'eau si ca fait planter d'autres trucs, genre Spyder, ou si nvidia-G05 est stable... mais chaque chose en son temps.

En tout cas un enorme MERCI pour votre bienveillante assistance, qui m'a aidé a ne pas peter les plombs!!
Je vous embrasse  :P
6
Programmes et logiciels / Re : m-a-jr, OpenGL, Nvidia et kernel
Bonjour,
Merci Denebe et Manchette pour ces suggestions
-Oui je sais bien que je nai pas besoin d'avoir des depots sauf les indispensables, ni d'installer les software sauf les indispensables, mais hélas, packman et nvidia ne sont pas non plus des raretés a installer afin de pouvoir visualiser des resultats mecaniques 3D un peu lourds a gerer autrement...
-Oui j'ai d'abord fait une recherche sur les forums de Paraview avant de m'adresser a vous, mais je ne m'en sors pas , ils sont sur des distrib de paraview plus ou moins specifiées, sur des supports generalement de windows ou autre que suse.. Mais tu as raison maintenant que j'ai un peu mieux cerné le contexte du probleme, je vais retenter des éclairages sur ces forums.
-liste des depots (merci pour les options zypper):
#  | Alias                                | Name                                                                                        | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                            | Service
---+--------------------------------------+---------------------------------------------------------------------------------------------+---------+-----------+---------+----------+--------+--------------------------------------------------------------------------------+--------
 1 | download.nvidia.com-leap             | nVidia Graphics Drivers                                                                     | No      | ----      | ----    |   99     | rpm-md | https://download.nvidia.com/opensuse/leap/15.3                                 |
 2 | https-download.opensuse.org-30cec7b4 | openSUSE:Leap:15.3:ARM                                                                      | No      | ----      | ----    |   99     | NONE   | https://download.opensuse.org/repositories/openSUSE:/Leap:/15.3:/ARM/ports/    |
 3 | https-download.opensuse.org-c35956d1 | science                                                                                     | No      | ----      | ----    |   99     | rpm-md | https://download.opensuse.org/repositories/science/openSUSE_Leap_15.3/         |
 4 | openSUSE_Leap_15.3                   | mozilla                                                                                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.opensuse.org/repositories/mozilla/openSUSE_Leap_15.3/         |
 5 | openSUSE_Leap_15.3_1                 | wine                                                                                        | No      | ----      | ----    |   99     | rpm-md | https://download.opensuse.org/repositories/Emulators:/Wine/openSUSE_Leap_15.3/ |
 6 | opensuse-guide.org-repo              | Libdvdcss Repository                                                                        | No      | ----      | ----    |   99     | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_15.3/                             |
 7 | packman                              | packman                                                                                     | No      | ----      | ----    |   90     | rpm-md | https://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_15.3/            |
 8 | packman-essentials                   | packman-essentials                                                                          | No      | ----      | ----    |   90     | rpm-md | https://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_15.3/Essentials  |
 9 | repo-backports-debug-update          | Update repository with updates for openSUSE Leap debuginfo packages from openSUSE Backports | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.3/backports_debug/                 |
10 | repo-backports-update                | Update repository of openSUSE Backports                                                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.3/backports/                       |
11 | repo-debug                           | Debug Repository                                                                            | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/debug/distribution/leap/15.3/repo/oss/            |
12 | repo-debug-non-oss                   | Debug Repository (Non-OSS)                                                                  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/debug/distribution/leap/15.3/repo/non-oss/        |
13 | repo-debug-update                    | Update Repository (Debug)                                                                   | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/debug/update/leap/15.3/oss/                       |
14 | repo-debug-update-non-oss            | Update Repository (Debug, Non-OSS)                                                          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/debug/update/leap/15.3/non-oss/                   |
15 | repo-non-oss                         | Non-OSS Repository                                                                          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.3/repo/non-oss/              |
16 | repo-oss                             | Main Repository                                                                             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.3/repo/oss/                  |
17 | repo-sle-debug-update                | Update repository with debuginfo for updates from SUSE Linux Enterprise 15                  | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/debug/update/leap/15.3/sle/                       |
18 | repo-sle-update                      | Update repository with updates from SUSE Linux Enterprise 15                                | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/update/leap/15.3/sle/                             |
19 | repo-source                          | Source Repository                                                                           | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/source/distribution/leap/15.3/repo/oss/           |
20 | repo-source-non-oss                  | Source Repository (Non-OSS)                                                                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/source/distribution/leap/15.3/repo/non-oss/       |
21 | repo-update                          | Main Update Repository                                                                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.3/oss                              |
22 | repo-update-non-oss                  | Update Repository (Non-Oss)                                                                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.3/non-oss/                         |
23 | science                              | Software for Scientists and Engineers (openSUSE_Leap_15.3)                                  | No      | ----      | ----    |   99     | rpm-md | https://download.opensuse.org/repositories/science/openSUSE_Leap_15.3/         |

=> remarque: le depot wine ,que j'ai ajouté il n'ya pas si longtemps (me souviens plus), pourrait etre source de conflits ...

2) Je me lance à présent dans une comparaison des listes de dépots et paquets (euh ceux qui me paraissent cruciaux) sur ma workstation de bureau (pantera), qui est aussi sous Leap 15.3, pour lequel je fais aussi des mises-a-jr, et pour lequel Paraview fonctionne!
Je vais tacher de desinstaller/installer ceux qui permettront de faire correspondre les deux configs pour Paraview.. en croisant les doigts.

Notamment par exemple sur pantera j'ai la NvidiaG05 alors que sur mon portable, c'est la G04. Je me souviens que lors de l'installation de la Leap 15.2 il n'avait pas aimé G05, du coup je suis resté a la G05: ca vaut le coup de tenter de passer a la G05, au risque que ca plante a nouveau.
+ je n'ai pas autant de dépots /sle sur pantera que sur le portable.. source de conflits ?

Je reviens vers vous quand ce sera fait, en esperant avoir de bonnes nouvelles, mais sinon je suis preneuse de toute autre idée que vous auriez entre temps.

Merci encore, µ
7
Programmes et logiciels / Re : m-a-jr, OpenGL, Nvidia et kernel
Ah haah.
J'ai desactivé tous les depots non opensuse, (science reste) ainsi que les /sle,
et reinstallé paraview:  il ne m'a proposé maintenant que la 5.9, ce qui parait bon signe.
et en le relancant, mis en me trompant, sous root plutot que user, j'obtiens ces details ci:
# paraview
qt.qpa.xcb: could not connect to display
qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, xcb.

Aborted (core dumped)
bon mais il n'ya ps de paquet portant ces noms la specifiquement/ plein de solutions.. je peux tenter au pif de reinstaller aussi des paquets supplementaires Qt.. il y en a comme PythonQt-devel.. libPythonQt... le choix est grand..
la suite demain..

merci en tout cas deja pour toutes vos suggestions.
8
Programmes et logiciels / Re : m-a-jr, OpenGL, Nvidia et kernel
Merci encore, denebe et chalu

>Il faudrait nettoyer les dépôts et revenir à des paquets issus des dépôts officiels.
J"en ai ~24: Donc, nettoyer= tous les supprimer, ou ca suffit peutetre de les desactiver via mon yast..
puis rajouter ces depots qui sont /download.opensuse.org/* seulment ?
donc supprimer sans rajouter aussi les depots nvidia et packman ?
je reproduis la liste ci -dessous, en effet, certains depots sont /sle,
../download.opensuse.org/debug/distribution/leap/15.3/repo/non-oss et /oss
------------------------------------------/debug/update/ ......................../non-oss, oss et sle
------------------------------------------/distribution/leap/15.3 non-oss et oss
-----------------------------------------/source/distribution/... non-oss et oss
-----------------------------------------/update/.. backports, non-oss, oss et sle
-----------------------------------------/repositories/science/openSUSE_Leap_15.3
-------------------------------------------------------------/openSUSE:/Leap:/15.3:/ARM/ports
-------------------------------------------------------------/mozilla/openSUSE_Leap_15.3
-------------------------------------------------------------/Emulators:/wine/openSUSE_Leap_15.3
../download.nvidia.com/opensuse/leap/15.3
../opensuse-guide.org/repo/openSUSE_Leap_15.3
../download.nvidia.com/opensue/leap/15.3
..
bon je fais ca, puis tente de reinstaller paraview.
9
Programmes et logiciels / Re : m-a-jr, OpenGL, Nvidia et kernel
1) x11-video-nvidiaG04 avait besoin des 2 fichiers kernel-devel que vous m'avez aidé a installer, ok, super,
mais mon paraview ne fonctionne toujours pas.

2) j'ai tenté de retrograder l'install de paraview, v 5.9 (c'etait logique, effectivemnt la version que j'utilisais ces derniers mois, c'etait donc bien peut-etre la v5.10 a present installée qui pose pb avec les paquets openGL de la Leap 15.3)... j'ai donc reinstallé paraview v5.9 par Yast....reboot, ... Mais non, paraview v5.9 continue a planter... :-(

3)


# sudo zypper in paraview
Loading repository data...
Reading installed packages...
'paraview' is already installed.
There is an update candidate for 'paraview' from vendor 'obs://build.opensuse.org/science', while the current vendor is 'openSUSE'. Use 'zypper install paraview-5.10.1-lp153.111.1.x86_64' to install this candidate.
Resolving package dependencies...
Nothing to do.

>>>>normal puisque je viens de reinstaller la v5.9..
# zypper install paraview-5.10.1-lp153.111.1.x86_64
Loading repository data...
Reading installed packages...
Resolving package dependencies...

Problem: the installed paraview-plugins-5.9.0-bp153.1.5.x86_64 requires 'paraview = 5.9.0', but this requirement cannot be provided
Solution 1: install paraview-plugins-5.10.1-lp153.111.1.x86_64 from vendor obs://build.opensuse.org/science
  replacing paraview-plugins-5.9.0-bp153.1.5.x86_64 from vendor openSUSE
Solution 2: do not install paraview-5.10.1-lp153.111.1.x86_64
Solution 3: break paraview-plugins-5.9.0-bp153.1.5.x86_64 by ignoring some of its dependencies

Choose from above solutions by number or cancel [1/2/3/c/d/?] (c): 1
Resolving dependencies...
Resolving package dependencies...

The following 2 packages are going to be upgraded:
  paraview paraview-plugins

The following 2 packages are going to change vendor:
  paraview          openSUSE -> obs://build.opensuse.org/science
  paraview-plugins  openSUSE -> obs://build.opensuse.org/science

2 packages to upgrade, 2  to change vendor.
Overall download size: 42.6 MiB. Already cached: 0 B. After the operation, 1.3 MiB will
be freed.
Continue? [y/n/v/...? shows all options] (y): y
Retrieving: paraview-5.10.1-lp153.111.1.x86_64.rpm ....................[done (1.1 MiB/s)]
Retrieving: paraview-plugins-5.10.1-lp153.111.1.x86_64.rpm ............[done (1.2 MiB/s)]
Checking for file conflicts: ......................................................[done]
(1/2) Installing: paraview-5.10.1-lp153.111.1.x86_64 ..............................[done]
(2/2) Installing: paraview-plugins-5.10.1-lp153.111.1.x86_64 ......................[done]

$exit (su)
~>paraview
(  0.504s) [paraview        ]vtkXOpenGLRenderWindow.:266    ERR| vtkXOpenGLRenderWindow (0x55de268e0c00): Could not find a decent config

(  0.504s) [paraview        ]vtkXOpenGLRenderWindow.:484    ERR| vtkXOpenGLRenderWindow (0x55de268e0c00): Could not find a decent visual

Loguru caught a signal: SIGABRT
Stack trace:
32      0x55de247c966a paraview(+0x866a) [0x55de247c966a]
31      0x7f022444e2bd __libc_start_main + 239
30      0x55de247c92de paraview(+0x82de) [0x55de247c92de]
29      0x55de247ce989 paraview(+0xd989) [0x55de247ce989]
28      0x55de247ca582 paraview(+0x9582) [0x55de247ca582]
27      0x7f02240bb610 pqParaViewBehaviors::pqParaViewBehaviors(QMainWindow*, QObject*) + 2560
26      0x7f02240179c4 pqAlwaysConnectedBehavior::pqAlwaysConnectedBehavior(QObject*) + 324
25      0x7f022401785e pqAlwaysConnectedBehavior::serverCheck() + 190
24      0x7f0222bccb6d pqObjectBuilder::createServer(pqServerResource const&, int) + 605
23      0x7f0221185851 vtkSMSession::ConnectToSelf(int) + 33
22      0x7f0220d193ad vtkProcessModule::RegisterSession(vtkSession*) + 237
21      0x7f0220629f12 /usr/lib64/libvtkCommonCore-pv5.10.so.1(+0x407f12) [0x7f0220629f12]
20      0x7f0220563259 vtkCallbackCommand::Execute(vtkObject*, unsigned long, void*) + 25
19      0x7f022168646f /usr/lib64/libvtkGUISupportQt-pv5.10.so.1(+0x3d46f) [0x7f022168646f]
18      0x7f02216714ab /usr/lib64/libvtkGUISupportQt-pv5.10.so.1(+0x284ab) [0x7f02216714ab]
17      0x7f0221e00e75 QMetaObject::activate(QObject*, int, int, void**) + 2101
16      0x7f0222b44fb9 /usr/lib64/libpqCore-pv5.10.so.1(+0x89fb9) [0x7f0222b44fb9]
15      0x7f0222b400e2 pqServerManagerObserver::connectionCreated(long long) + 66
14      0x7f0221e00e75 QMetaObject::activate(QObject*, int, int, void**) + 2101
13      0x7f0222c100dc pqServerManagerModel::onConnectionCreated(long long) + 668
12      0x7f0222b3e752 pqServerManagerModel::serverAdded(pqServer*) + 66
11      0x7f0221e00e75 QMetaObject::activate(QObject*, int, int, void**) + 2101
10      0x7f022407d493 pqDefaultViewBehavior::onServerCreation(pqServer*) + 83
9      0x7f02210906ad vtkPVSessionCore::GatherInformation(unsigned int, vtkPVInformation*, unsigned int) + 493
8      0x7f0221090324 vtkPVSessionCore::GatherInformationInternal(vtkPVInformation*, unsigned int) + 52
7      0x7f021ce7d799 vtkPVRenderingCapabilitiesInformation::CopyFromObject(vtkObject*) + 9
6      0x7f021ce7d758 vtkPVRenderingCapabilitiesInformation::GetLocalCapabilities() + 328
5      0x7f0219cfdb85 vtkOpenGLRenderWindow::SupportsOpenGL() + 1269
4      0x7f0219d7ce12 vtkXOpenGLRenderWindow::WindowInitialize() + 18
3      0x7f0219d80d8a vtkXOpenGLRenderWindow::CreateAWindow() + 1946
2      0x7f0224465375 abort + 375
1      0x7f0224463cdb gsignal + 269
0      0x7f0224463d70 /lib64/libc.so.6(+0x4ad70) [0x7f0224463d70]
(  0.504s) [paraview        ]                      :0    FATL| Signal: SIGABRT
Abandon (core dumped)
....
Mon desarroi continue, mais je continue d'essayer ...

3) comment je pourrais savoir de quelles version 1 ou 2 de depots... effectivment on dirait qu'il pourrait yavoir un conflit des depots science et opensuse ? mais paraview est donné via "science" normalement
10
Programmes et logiciels / Re : m-a-jr, OpenGL, Nvidia et kernel
j'intégre peu a peu vos commentaires, desolée pour ma lenteur a tout comrpendre d'un coup...

1) ok donc via l'explication du lien envoyé par denebe, l'update du kernel permet de remettre a jour le nvidiaG04, effectivment. Mais comme lors du reboot il re-utilise l'ancien kernel, je me retrouverais a re-installer le kernel a chaque fois.. berk.
et de toute facon ca ne resout pas mon pb de paraview (point 2).

2) paraview, donc j'ai compris qu'il lui faut OpenGL 3.2 au moins et que pour une raison X (point 3), il n'en a pas fait la mise a jour, on dirait qu'il ne fait ses mises a jours de pas grand chose en fait, via le PAckage kit automatique ou zypper, idem ..
mais au moins pour pouvoir bosser, comment pourrais je telecharger OpenGL 3.2 ? argh, on dirait que pour la Leap 15.3, ca ne va que jusqu'a la 3.1.. correct ?
https://software.opensuse.org/package/python3-opengl
donc,
un workaround en attendant que je me lance dans l'upgrade de la 15.4, c'est de reinstaller une ancienne version de Paraview, croisant les doigts..

3) je ne comprends toujours pas pourquoi mes mise a jour de paquets ne se font pas toutes seules,..
par zypper, il en reste tjrs 53 qu'il ne veut pas mette a jour.. . :-(

4) encore l'option de tenter l'activation de la x11-video-nvidia-G05, j'ai la G04... quelle est la commande pour choisir de changer la version d'NVIDIA  ? please??

Merci de votre patience, et merci pour tous ces eclairages deja, je me sens un peu moins bete :)
11
Programmes et logiciels / Re : m-a-jr, OpenGL, Nvidia et kernel
bonsoir,
Grand merci pour ces reponses..
oui je lis l'anglais, oui je lance des mise a jour plus d'une fois par semaine, zypper refresh & update,
et pourquoi je ne rencontrais pas ce probleme jusqau'a il ya 1 semaine ? j'utilisais joyeusement mon PARAVIEW sans qu'il plante ni me dise qu'il lui manque telle ou telle librairie, donc c'est q'un paquet openGL/Nvidia ou autre n'a pas été mis a jour alors que d'autres oui... perte de coherence alors que je ne suis pas du genre a cliquer sur l'option "ignorer les conflits" :-)

bon.
1)j'ai installé ce nouveau kernel/ copié-colé de la commande gentillement fournie par denebe.
   
2 new packages to install
 .....   Checking for file conflicts ....
         Changing symlink /usr/src/linux from linux-53.18-150300.59.87 to linux-5.3.18-57
         (1/2) Installing : kernel-devel-5-3-18-57.3.noarch
         Changing symlink /usr/src/linux-obj/x86-64/default from ../../linux-53.18-150300.59.87-obj/x86_64/default to ../../linux-5.3.18-57-obj/x86_64/default
         (2/2) Installing : kernel-default-devel-5.3.18-57.3.x86_64
=> mais lorsque je reboot, il continue a booter sur l'ancien kernel: 5.3.18-150300.59.87.1 !! ? Sauriez vous pourquoi ?

J'ai reinstallé  et retenté avant ou apres  nouveau zypper refresh/ et/ou  zypper update,
il a reussi toutefois a m'installer 7 paquet de plus qu'avant (sur 60); nvidia-computeG04, nvidia-computeG04-32bit, nvidia-gfxG04-kmp-default nvidia-glG04-"ébit x11video-nvidiaG04 x11-video-nvidiaG04bit..
Mais le kernel reste invariablement le meme.

2) Paraview persiste a me dire qu'il lui manque les bonnes versions d'openGL et de Mesa.
les ocmmentaires du dessus que j'ai copié suivaient le lancement  du setpath de Matlab ($MTL_PATH/sys/opengl/lib/glnxa64)!
Donc il ne faut pas preter attention aces versions la de  OpenGL, ou Mesa..

Mais! sur Yast, quoique je ne trouve pas OpenGL tel quel, je le trouve  pour Qt5 (libQt5OpenGL5 5.12.7)? python3-opengl (3.1.6-lp153.53.1): sauriez vous quel pourrait etre le petit nom d'OpenGL que je devrais chercher ???
=> Et comme paraview lancé en shell me commente:
(   0.437s) [paraview        ]vtkOpenGLRenderWindow.c:506    ERR| vtkXOpenGLRenderWindow (0x55896613f000): Unable to find a valid OpenGL 3.2 or later implementation. Please update your video card driver to the latest version. If you are using Mesa please make sure you have version 11.2 or later and make sure your driver in Mesa supports OpenGL 3.2 such as llvmpipe or openswr.

donc oui, si c'est QT5OpenGL a quoi PAraview fait appel, il necessite OpenGL 3.2 alors que je n'ai que la OpenGL 3.1 !!  eureka... ou est ce que je peux trouver le paquetage pour zypper ?

3) Il reste donc ce pb majeur que mes paquets ne se mettent donc pas a jour tout seuls ! yaurait il un "lock" quelquepart ?
12
Programmes et logiciels / Re : m-a-jr, OpenGL, Nvidia et kernel
mille mercis..
desolée pour la lisibilité des lignes de code/ j'utiliserai inserer balise/ c'est bien mieux c'est sûr!

le risque lorsque j'aurais installé ce fameux kernel 5.3.18-57 ?
Je devrais pouvoir rebooter avec l'ancienne version qd meme.

Mais pourquoi il n'a pas réussi a mettre a jour son kernel du coup? est ce que c'est un souci rencontrés pr d'autres, cf. post anterieur ?
ou un souci des le depart lorsque j'avais fait l'upgrade  a Leap 15.3 (il ya 3 mois)...

Bon j'installe ce kernel et je vous raconte ce que ca devient... ma derniere alternative etant d''upgrader à la Leap 15.4...
14
Programmes et logiciels / m-a-jr, OpenGL, Nvidia et kernel
bonjour,
je me suis permis d'ouvrir ce post mais il pourrait peut-etre etre lié au précédent( nvidia et kernel de juillet). Mais n'étant pas expert, .. j'essaye de comprendre ce qu'il se passe avec ma Leap 15.3, ses mises a jours, kernel y compris, nvidia et OpenGL. J'ai plusieurs soucis:
1)depuis un mois, j'ai l'impression que je ne peux faire les m-a-j qu'avec zypper, car par Yast il me mets systematiquement  (m-a-jr auto) une erreur a 20 chiffres dont  je n'ai pas su identifier la cause via le net. => par contre j'ai lu que par zypper c'est pas mal aussi , donc je m'en suis accommodé.

2) par zypper refresh puis update, il me met tjrs depuis ~1 mois, qu'il ne peut pas installer un certains nbres de paquets, sans donner la raison et en tons bleus, je pensais donc que c'était trivial, mais peut-etre qu'il ya un pb d'update plus fondamental ?
     "zypper update
     Loading repository data...
     Reading installed packages...

     The following 60 package updates will NOT be installed:
      MozillaFirefox ... nvidia-glG04 .... x11-video-nvidiaG04" (pour n'en citer que qquns).
      Nothing to do."
=> comment je fais pour savoir que mes m-a-j sont effectivement faites ? je ne trouve pas la commande pour la derniere version des paquets ? dans /var/log ? Notamment l'update des paquets NVIDIA....


3) j'ai pu faire une bourde, comme installer un bad paquet, ou bien le kernel n'est plus bon , conflit avec openGL et Nvidia, car je n'arrive plus a lancer le lgiciel que j'utilise pour bosser, PARAVIEW. Il plante au démarrage, sans explications.
Quand je lance l'openGL de Matlab ( oui je sais ce n'est pas catho..) j'arrive tout de meme a lancer Paraview qui me donne alors pour explics succintes:
        "[paraview        ]vtkOpenGLRenderWindow.c:506    ERR| vtkXOpenGLRenderWindow (0x5644180f2f30): Unable to find a valid OpenGL 3.2 or later implementation. Please update your video card driver to the latest version. If you are using Mesa please make sure you have version 11.2 or later and make sure your driver in Mesa supports OpenGL 3.2 such as llvmpipe or openswr."
...
et plante ensuite.

a un moment lors d'un rebooot, j'ai eu ceci:
Aug 03 19:45:12 goeland kernel: RETBleed: WARNING: Spectre v2 mitigation leaves CPU vulnerable to RETBleed attacks, data leaks possible!

Evidemment j'ai desinstallé et reinstallé PARAVIEW 2 fois, sans succes.
J'ai tenté

puis en voulant mettre a jour nvidia:
   zypper update nvidia-glG04
   Loading repository data...
   Reading installed packages...
   Resolving package dependencies...

   Problem: nothing provides 'kernel-default-devel = 5.3.18-57' needed by the to be installed nvidia-gfxG04-kmp-default 390.154_k5.3.18_57-lp153.16.1.x86_64
   Solution 1: do not install nvidia-glG04-390.154-lp153.16.1.x86_64
   Solution 2: break nvidia-gfxG04-kmp-default-390.154_k5.3.18_57-lp153.16.1.x86_64 by ignoring some of its dependencies
...